package com.house365.ws.dao.mapper;

import com.house365.beans.entity.CloudActivityEntity;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author Created by Administrator on 2020/3/25.
 */
@Repository
public interface CloudActivityMapper {

    void save(CloudActivityEntity entity);

    CloudActivityEntity getById(int id);

    List<CloudActivityEntity> queryByConditions(Map<String, Object> map);

    void updateCount(CloudActivityEntity entity);

    List<Map<String, Object>> queryList(Map<String, Object> map);

    int queryCount(Map<String, Object> map);
}
